# Record TCefLifeSpanHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefLifeSpanHandler = record`

## Description

Implement this structure to handle events related to browser life span. The functions of this structure will be called on the UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefLifeSpanHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_life_span_handler_capi.h">CEF source file: /include/capi/cef_life_span_handler_capi.h (cef_life_span_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_before_popup: function(self: PCefLifeSpanHandler; browser: PCefBrowser; frame: PCefFrame; popup_id: Integer; const target_url, target_frame_name: PCefString; target_disposition: TCefWindowOpenDisposition; user_gesture: Integer; const popupFeatures: PCefPopupFeatures; windowInfo: PCefWindowInfo; var client: PCefClient; settings: PCefBrowserSettings; var extra_info: PCefDictionaryValue; no_javascript_access: PInteger): Integer; stdcall;`
| `on_before_popup_aborted: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser; popup_id: Integer); stdcall;`
| `on_before_dev_tools_popup: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser; windowInfo: PCefWindowInfo; var client: PCefClient; settings: PCefBrowserSettings; var extra_info: PCefDictionaryValue; use_default_window: PInteger); stdcall;`
| `on_after_created: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser); stdcall;`
| `do_close: function(self: PCefLifeSpanHandler; browser: PCefBrowser): Integer; stdcall;`
| `on_before_close: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_before_popup: function(self: PCefLifeSpanHandler; browser: PCefBrowser; frame: PCefFrame; popup_id: Integer; const target_url, target_frame_name: PCefString; target_disposition: TCefWindowOpenDisposition; user_gesture: Integer; const popupFeatures: PCefPopupFeatures; windowInfo: PCefWindowInfo; var client: PCefClient; settings: PCefBrowserSettings; var extra_info: PCefDictionaryValue; no_javascript_access: PInteger): Integer; stdcall;`
This item has no description.

| `on_before_popup_aborted: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser; popup_id: Integer); stdcall;`
This item has no description.

| `on_before_dev_tools_popup: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser; windowInfo: PCefWindowInfo; var client: PCefClient; settings: PCefBrowserSettings; var extra_info: PCefDictionaryValue; use_default_window: PInteger); stdcall;`
This item has no description.

| `on_after_created: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser); stdcall;`
This item has no description.

| `do_close: function(self: PCefLifeSpanHandler; browser: PCefBrowser): Integer; stdcall;`
This item has no description.

| `on_before_close: procedure(self: PCefLifeSpanHandler; browser: PCefBrowser); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.